$base_radius: 0.125rem;

.rounded-full  {
  border-radius: 9999px;
}

.rounded-t-full {
  border-top-left-radius: 9999px;
  border-top-right-radius: 9999px;
}

.rounded-b-full {
  border-bottom-left-radius: 9999px;
  border-bottom-right-radius: 9999px;
}

.rounded-l-full {
  border-top-left-radius: 9999px;
  border-bottom-left-radius: 9999px;
}

.rounded-r-full {
  border-top-right-radius: 9999px;
  border-bottom-right-radius: 9999px;
}

.rouded-tr-full {
  border-top-right-radius: 9999px;
}

.rounded-tl-full {
  border-top-left-radius: 9999px;
}

.rounded-br-full {
  border-bottom-right-radius: 9999px;
}

.rounded-bl-full {
  border-bottom-left-radius: 9999px;
}

@for $i from 0 through 4 {
  .rounded-#{i} {
    border-radius: $i * $base_radius ;
  }

  .rounded-t-#{i} {
    border-top-left-radius: $i * $base_radius;
    border-top-right-radius: $i * $base_radius;
  }

  .rounded-b-#{i} {
    border-bottom-left-radius: $i * $base_radius;
    border-bottom-right-radius: $i * $base_radius;
  }

  .rounded-l-#{i} {
    border-top-left-radius: $i * $base_radius;
    border-bottom-left-radius: $i * $base_radius;
  }

  .rounded-r-#{i} {
    border-top-right-radius: $i * $base_radius;
    border-bottom-right-radius: $i * $base_radius;
  }

  .rounded-tr-#{i} {
    border-top-right-radius: $i * $base_radius;
  }

  .rounded-tl-#{i} {
    border-top-left-radius: $i * $base_radius;
  }

  .rounded-br-#{i} {
    border-bottom-right-radius: $i * $base_radius;
  }

  .rounded-bl-#{i} {
    border-bottom-left-radius: $i * $base_radius;
  }
}
